> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取可用国家



## OpenAPI

````yaml cn-openapi-reseller GET /api/{PARTNER_NAME}/countries
openapi: 3.0.1
info:
  title: Brightdata API
  description: 将 Bright Data API 集成到您的数据管道中，确保高精度爬取
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/countries:
    get:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: 将处理您请求的代理区域名称。
          required: true
          schema:
            type: string
        - in: query
          name: type
          description: >-
            必填注册类型
            (`residential`|`shared_dc`|`dedicated_dc`|`shared_isp`|`smart_resi`)
          required: true
          schema:
            type: string
        - in: query
          name: more_than
          description: 该类型下最少可用 IP 数量
          required: false
          schema:
            type: number
            default: 1000
        - in: query
          name: mode
          description: 标记以更改输出格式。如果设置为 `raw`，API 将返回每个国家的确切 IP 数量，且忽略 `more_than`。
          required: false
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                oneOf:
                  - title: mode!=raw
                    type: array
                    example:
                      - ae
                      - ar
                      - at
                      - au
                    items:
                      type: string
                  - title: mode=raw
                    type: object
                    example:
                      ae: 1
                      ar: 2
                      at: 3
                      au: 4
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。


        **认证方法:**

        1. 从 Bright Data 账户设置获取您的 API Key:
        https://brightdata.com/cp/setting/users

        2. 在请求的 Authorization 头中包含 API Key

        3. 格式: `Authorization: Bearer YOUR_API_KEY`


        **示例:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        了解如何获取 Bright Data API Key:
        https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key？
      bearerFormat: API Key

````